petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoLineSearchSetOptionsPrefix

Sets the prefix used for searching for all TaoLineSearch options in the database.

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetOptionsPrefix(TaoLineSearch ls, const char p[])

Logically Collective on TaoLineSearch Many br

### Input Parameters

| ls | - the TaoLineSearch context Many br
| prefix | - the prefix string to prepend to all TAO option requests Many br

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. Many brThe first character of all runtime options is AUTOMATICALLY the hyphen. Many br

For example, to distinguish between the runtime options for two Many brdifferent line searches, one could call Many br

          TaoLineSearchSetOptionsPrefix(ls1,"sys1_")
          TaoLineSearchSetOptionsPrefix(ls2,"sys2_")

Many br

This would enable use of different options for each system, such as Many br

          -sys1_tao_ls_type mt
          -sys2_tao_ls_type armijo

Many br

Many br

### See Also

TaoLineSearchAppendOptionsPrefix(), TaoLineSearchGetOptionsPrefix()

Level:advanced
Location:src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages